﻿using System;

namespace DiscountCalculatorApp
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Welcome to the Discount Calculator!");

            // Prompt user for the original price
            Console.Write("Enter the original price: ");
            if (double.TryParse(Console.ReadLine(), out double originalPrice))
            {
                // Prompt user for the discount percentage
                Console.Write("Enter the discount percentage: ");
                if (double.TryParse(Console.ReadLine(), out double discountPercentage))
                {
                    // Calculate discounted price
                    double discountAmount = (discountPercentage / 100) * originalPrice;
                    double discountedPrice = originalPrice - discountAmount;

                    // Display results
                    Console.WriteLine($"Original Price: ${originalPrice}");
                    Console.WriteLine($"Discount Percentage: {discountPercentage}%");
                    Console.WriteLine($"Discounted Price: ${discountedPrice}");
                }
                else
                {
                    Console.WriteLine("Invalid discount percentage. Please enter a valid number.");
                }
            }
            else
            {
                Console.WriteLine("Invalid original price. Please enter a valid number.");
            }

            Console.WriteLine("Press any key to close the application.");
            Console.ReadKey();
        }
    }
}